#include<bits/stdc++.h>
using namespace std;
ifstream fi("dqnp.inp");
ofstream fo("dqnp.out");
int doinp(int64_t x)
{
    if(x==0) return 0;
    else doinp(x/2);
    fo<<x%2;
}
int main()
{
    int64_t n;
    fi>>n;
    doinp(n);
}
